﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Ai.Quality;
using Microsoft.Extensions.DependencyInjection;

namespace Hotline.Ai.Jths
{
	public static class AiJthsStartupExtensions
	{
		public static IServiceCollection AddAiJths(this IServiceCollection services, string baseUrl)
		{
			services.AddSingleton<IAiQualityService, AiQualityService>(_ => new AiQualityService(baseUrl));

			return services;
		}
	}
	public class AiQualityConfig
	{
		public string Url { get; set; }
	}
}
